Subject: Re: Build error in -next due to 'drivers/video/fbdev/atyfb: Replace MTRR UC hole with strong UC'

From: "Luis R. Rodriguez" <[email-masked]>
Date: Sat, 1 Aug 2015 02:39:33 +0200

On Fri, Jul 31, 2015 at 05:09:52PM -0700, Guenter Roeck wrote:
> On 07/31/2015 05:02 PM, Luis R. Rodriguez wrote:
> >On Fri, Jul 31, 2015 at 01:52:24PM -0400, Paul Gortmaker wrote:
> >>On Thu, Jul 30, 2015 at 10:26 PM, Guenter Roeck <[email-masked]> wrote:
> >>>Hi Luis,
> >>>
> >>>probably the zero-day build already told you, but just in case:
> >>>
> >>>Your commit 'drivers/video/fbdev/atyfb: Replace MTRR UC hole with strong UC'
> >>>causes build errors for architectures which don't support ioremap_uc.
> >>>This affects at least the alpha architecture, though there may be others.
> >>
> >>Yep, parisc allmodconfig now sees it as well.  Bisected before seeing
> >>this message.
> >>
> >>3cc2dac5be3f23414a4efdee0b26d79bed297cac is the first bad commit
> >>commit 3cc2dac5be3f23414a4efdee0b26d79bed297cac
> >>Author: Luis R. Rodriguez <[email-masked]>
> >>Date:   Thu Jul 9 18:24:58 2015 -0700
> >>
> >>     drivers/video/fbdev/atyfb: Replace MTRR UC hole with strong UC
> >>
> >>http://kisskb.ellerman.id.au/kisskb/buildresult/12475234/
> >
> >I submitted a fix for it, can you tell me your linux-next tree?
> >
> 
> http://server.roeck-us.net:8010/builders/next-alpha-next
> 
> next-20150729 to next-20150731.

Great thanks, I sent a proposal general fix, that should be tested first.
If all the bots say go for it, then yay, otherwise a simple

#define ioremap_uc ioremap_nocache

would be the way to go, but I would prefer to fix this sort of thing for good.

  Luis